gnutls_pkcs11_privkey_decrypt_data(3)

NAME
gnutls_pkcs11_privkey_decrypt_data - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_privkey_decrypt_data(gnutls_pkcs11_privkey_t key, unsigned int flags, const gnutls_datum_t * ciphertext, gnutls_datum_t * plaintext);

ARGUMENTS

gnutls_pkcs11_privkey_t key
    Holds the key

unsigned int flags
    should be 0 for now

const gnutls_datum_t * ciphertext
    holds the data to be signed

gnutls_datum_t * plaintext
    will contain the plaintext, allocated with gnutls_malloc()

DESCRIPTION
This function will decrypt the given data using the public key algorithm supported by the private key.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.